#include "module.h"

#define AUTHOR "Certus"
#define VERSION "1.0"

int m_usermsg(User *u);
int Module_Help_usermsg_full(User *u);
void Module_Help_usermsg(User *u);

int AnopeInit(int argc, char **argv) {
	Command *c;
	c=createCommand("notice",m_usermsg,is_services_admin,-1,-1,-1,-1,-1);
	alog("Loading module usermsg.so [Status: %d]",moduleAddCommand(OPERSERV,c,MOD_HEAD));
	alog("New command: /msg operserv notice pseudo message");
	moduleAddHelp(c,Module_Help_usermsg_full);
	moduleSetOperHelp(Module_Help_usermsg);
}

void AnopeFini(void) {
	alog("Unloading module usermsg.so");
}

int Module_Help_usermsg_full(User *u)
{
       if (is_services_admin(u)) {
       		notice(s_OperServ,u->nick, "------------------------------------------------------------------------------------------------");
       		notice(s_OperServ,u->nick, " Syntaxe : /msg LeNa NOTICE pseudo message");
       		notice(s_OperServ,u->nick, "   ");
       		notice(s_OperServ,u->nick, " Cette commande sert  envoyer une notice a un user avec le pseudo de LeNa.");
       		notice(s_OperServ,u->nick, "  ");
      		notice(s_OperServ,u->nick, "------------------------------------------------------------------------------------------------");
       		return MOD_STOP;
       }
       return MOD_STOP;
}

void Module_Help_usermsg(User *u)
{
   if (is_services_admin(u)) {
       notice(s_OperServ,u->nick, "    NOTICE    Envoyer une notice  un user");
   }
   return;
}

int m_usermsg(User *u) {
	char *send_to_nick = strtok(NULL, " ");
	char *msg = strtok(NULL, "");
	if (send_to_nick && msg)
	{
		send_cmd(s_OperServ, "%s %s :%s", "NOTICE", send_to_nick, msg);
		notice(s_OperServ, u->nick, "Envoi de la Notice  %s reussi.", send_to_nick);
		return MOD_CONT;
	}
	else {
		notice(s_OperServ, u->nick, "Syntaxe : NOTICE pseudo message");
		return MOD_CONT;
	}
	return MOD_CONT;
}

